import sys
sys.path.append('/home/jana/MyPython')
import Funkce as fce
import numpy as np
import matplotlib.pyplot as plt

#params
per=7.146644

inList = np.loadtxt(sys.argv[1], dtype=str)

for i in range(0, len(inList)):
    # list record
    fl = inList[i,0]
    ep = float(inList[i,1])
    dep = float(inList[i,2])
    
    # correct the secondary minima
    if sys.argv[1][0] is 's':
	ep = ep + 7.146644/2.
    
    #print ref
    
    # light curve
    hjd, flux = np.loadtxt(fl, unpack=True, usecols=[0,1])
    
    # get phase
    ph = fce.quad_phase(hjd, ep, per)
    
    # add wings
    ind = np.argsort(ph)
    wph, wflux =  fce.add_wing_phase(ph, flux)
    
    # dph
    dph = fce.quad_phase(ep+dep, ep, per)
    #print dph
    
    plt.figure(figsize=(30,10))
    plt.plot(wph, wflux, 'ko')
    plt.vlines(0.0, wflux.min(), wflux.max())
    plt.xlim(-0.05, 0.05)
    for i in range(0, 3):
      plt.fill_between([-dph*(i+1),-dph*i], wflux.min(), wflux.max(), color=(1.0, i*0.3, i*0.3))
      plt.fill_between([dph*(i),dph*(i+1)], wflux.min(), wflux.max(), color=(1.0, i*0.3, i*0.3))
    
    plt.savefig(fl+'.check.png')
    #plt.show()
    plt.close()
	

