#!/usr/bin/gnuplot

day = 1440.
min = 1.

set xl "t [min]"
set yl "mag"

tmp=300.*min
tmp=3000.*min
set xr [-tmp:tmp]
tmp=0.01
#set yr [-tmp:tmp] reverse
set yr [:] reverse
set yr [0.12:-0.02] reverse
set zeroaxis

T0 = 2456235.448518-0.0033
sigma = 0.001
print "T0 = ", T0
print "sigma = ", sigma

g(MJD) = (MJD+2400000-T0)*day

T1 = 2456235.44972602
C0 = 7.09343625214101e-06
C1 = -3.79958810450294e-05
A0 = 0.000492109779456576
A1 = 3.09315238249797e-05
P0 = 0.414035810097667
P1 = 0.00700949784144031

h(JD) = JD-T1
f(JD) = 1. + C0 + C1*h(JD) - (A0 + A1*h(JD)) * sin(2.*pi*h(JD) / (P0+P1*h(JD)))

p \
  "most.v4.smin.01.srt" u (g($1)):($2 - f($1+2400000.0))            w l lt 1 lw 2,\
  "most.v4.smin.01.srt" u (g($1-sigma)):($2 - f($1+2400000.0))  not w l lt 7,\
  "most.v4.smin.01.srt" u (g($1+sigma)):($2 - f($1+2400000.0))  not w l lt 7,\
  "most.v4.smin.01.srt" u (-g($1)):($2 - f($1+2400000.0)) w l lt 3 lw 2,\
  1. w l lt 0
  
pa -1

set term post eps enh color
set out "most.v4.smin.01_MINIMUM.eps"
rep

set table "most.v4.smin.01_REMOVED.dat"
set format "%.8f"
p "most.v4.smin.01.dat" u ($1+2400000.0):($2 - f($1+2400000.0) + 1.0) w l lt 1 lw 2
unset table

q


